.section-banner-horizontal {
  position: relative;

  > .image {
    .overlay {
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.2);
      position: absolute;
    }

    &::after {
      padding-bottom: 52.4%;
      @include media("sm") { padding-bottom: 32.5%; }
      @include media("md") { padding-bottom: 28.65%; }
      @include media("lg") { padding-bottom: 24.35%; }
    }
  }

  > .text {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    color: var(--color, var(--white));
    padding: 2rem 0;
  }

  > .text .container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;

    @include media('xs') {
      text-align: center;
      align-items: center;

      .button-default {
        margin-left: auto;
        margin-right: auto;
      }
    }

    &:not(.center):not(.right) {
      .content { margin-left: 5%; }
    }

    &.center {
      text-align: center;
      align-items: center;
    }

    &.center .button-default {
      margin-left: auto;
      margin-right: auto;
    }

    &.right { align-items: flex-end;}

    &.right .content {
      text-align: right;
      margin-right: 5%;
    }

    &.right .button-default {
      margin-left: auto;
      margin-right: 0;
    }
  }

  // Define a moldura ao redor do texto, quando o parâmetro "background" do liquid recebe true
  &.-background > .text .content {
    padding: 2.4rem;
    overflow: hidden;
    border-radius: 0.8rem;

    &::before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.5);
      backdrop-filter: blur(0.4rem);
    }
  }

  > .text .content {
    position: relative;
    max-width: 35rem;
  }

  .text .content > * { position: relative; }

  > .text .description {
    margin-top: 0.8rem;
    font-size: var(--font-size-base);
    margin-bottom: 0;

    @include media('xs') { font-size: var(--font-size-small); }
  }

  > .text .title {
    color: inherit;
    margin-bottom: 0;

    @include media('xs') { font-size: var(--font-size-big); }
  }

  > .text .button-default {
    margin-top: 0.8rem;
    color: var(--color, var(--white));
    border-color: var(--color, var(--white));

    &:hover { border-color: var(--secondary-color); }
  }
}
